import { ecs } from "../../../../../extensions/oops-plugin-framework/assets/libs/ecs/ECS";
import { VM } from "../../../../../extensions/oops-plugin-framework/assets/libs/model-view/ViewModel";
import { Puppet } from "../../puppet/puppet";




@ecs.register('StationModel')
export class StationModelComp extends ecs.Comp {


    private vm: any = {};

    private _isLock: boolean = false
    private _puppet: Puppet = null

    // 站台是否空状态
    get isEmpty(): Boolean {
        return this._puppet == null
    }

    // 站台是否未解锁状态
    get isLock(): Boolean {
        return this._isLock
    }

    set isLock(l: boolean) {
        this._isLock = l
    }

    get puppet(): Puppet {
        return this._puppet
    }
    set puppet(p: Puppet) {
        this._puppet = p
    }


    reset() {

    }
}
